import React from "react";
import { getConfig, renderBadge, renderDefaultValueIndicator, renderInvalidMessage, renderRequired, renderSoftRemove, } from "./template.control.utilities";
import { classNames } from "@microsoft/fast-web-utilities";
import cssVariables from "design-to-code/dist/stylesheets/web-components/style/global.css-variables.css";
import controlSingleLineWrapperStyle from "design-to-code/dist/stylesheets/web-components/style/common.control-single-line-wrapper.css";
import formControlDisabledStyle from "design-to-code/dist/stylesheets/web-components/style/common.form-control-disabled.css";
import formControlIndicatorStyle from "design-to-code/dist/stylesheets/web-components/style/common.form-control-indicator.css";
import interactiveFormControlIndicatorStyle from "design-to-code/dist/stylesheets/web-components/style/common.interactive-form-control-indicator.css";
import labelStyle from "design-to-code/dist/stylesheets/web-components/style/common.label.css";
import invalidMessageStyle from "design-to-code/dist/stylesheets/web-components/style/common.invalid-message.css";
import softRemoveStyle from "design-to-code/dist/stylesheets/web-components/style/common.soft-remove.css";
import softRemoveInputStyle from "design-to-code/dist/stylesheets/web-components/style/common.soft-remove-input.css";
import requiredStyle from "design-to-code/dist/stylesheets/web-components/style/common.required.css";
import style from "./template.control.single-line.style.css";
import dtcClassName from "design-to-code/dist/esm/web-components/style/class-names";
// tree-shaking
cssVariables;
controlSingleLineWrapperStyle;
formControlDisabledStyle;
formControlIndicatorStyle;
interactiveFormControlIndicatorStyle;
labelStyle;
invalidMessageStyle;
softRemoveStyle;
softRemoveInputStyle;
requiredStyle;
style;
/**
 * Control template definition
 */
function SingleLineControlTemplate(props) {
    const ref = React.createRef();
    let cache = undefined;
    function setCache(updatedCache) {
        cache = updatedCache;
    }
    const aggregateProps = Object.assign(Object.assign({}, props), { ref,
        cache,
        setCache });
    return (React.createElement("div", { className: classNames("dtc-single-line-control-template", [
            `dtc-single-line-control-template__disabled ${dtcClassName.commonFormControlDisabled}`,
            props.disabled,
        ]) },
        React.createElement("div", { className: `dtc-single-line-control-template_control ${dtcClassName.commonControlSingleLineWrapper}` },
            props.control(getConfig(aggregateProps)),
            React.createElement("label", { className: `dtc-single-line-control-template_label ${dtcClassName.commonLabel}`, htmlFor: props.dataLocation, title: props.labelTooltip },
                props.label,
                " ",
                renderRequired({
                    required: props.required,
                    className: dtcClassName.commonRequired,
                })),
            renderDefaultValueIndicator(Object.assign({ className: `dtc-single-line-control-template_default-value-indicator ${dtcClassName.commonInteractiveFormControlIndicator}` }, aggregateProps)),
            renderBadge(Object.assign({ className: `dtc-single-line-control-template_badge ${dtcClassName.commonFormControlIndicator}` }, aggregateProps)),
            React.createElement("div", { className: `dtc-single-line-control-template_soft-remove ${dtcClassName.commonSoftRemove}` }, renderSoftRemove(Object.assign({ className: `dtc-single-line-control-template_soft-remove-input ${dtcClassName.commonSoftRemoveInput}` }, aggregateProps)))),
        renderInvalidMessage(Object.assign({ className: `dtc-single-line-control-template_invalid-message ${dtcClassName.commonInvalidMessage}` }, aggregateProps))));
}
export { SingleLineControlTemplate };
export default SingleLineControlTemplate;
