import React from "react";
import cssVariables from "design-to-code/dist/stylesheets/web-components/style/global.css-variables.css";
import ellipsisStyle from "design-to-code/dist/stylesheets/web-components/style/common.ellipsis.css";
import selectSpanStyle from "design-to-code/dist/stylesheets/web-components/style/common.select-span.css";
import selectInputStyle from "design-to-code/dist/stylesheets/web-components/style/common.select-input.css";
import dtcClassName from "design-to-code/dist/esm/web-components/style/class-names";
import style from "./select-device.style.css";
// tree-shaking
cssVariables;
ellipsisStyle;
selectSpanStyle;
selectInputStyle;
style;
export function SelectDevice(props) {
    function renderLabel() {
        if (props.label) {
            return (React.createElement("label", { className: `dtc-select-device_label ${dtcClassName.commonEllipsis}` }, props.label));
        }
    }
    function renderOptions() {
        return props.devices.map((device, index) => {
            return (React.createElement("option", { value: device.id, key: device.id + index }, device.displayName));
        });
    }
    function handleOnChange(e) {
        props.onUpdateDevice(e.target.value || "");
    }
    if (props.devices) {
        return (React.createElement("div", { className: "dtc-select-device" },
            renderLabel(),
            React.createElement("span", { className: `dtc-select-device_content-region ${dtcClassName.commonSelectSpan}` },
                React.createElement("select", { className: `dtc-select-device_select ${dtcClassName.commonSelectInput}`, onChange: handleOnChange, value: props.activeDeviceId, disabled: props.disabled }, renderOptions()))));
    }
    return null;
}
